List instances of a custom object type. Three modes are supported:
- No filter — returns all instances for the type.
references_contact_id— returns instances associated with the given contact.references_conversation_id— returns instances associated with the given conversation.
When external_id is provided, returns a single matching instance (not a list). If no instance matches, the response is still 200, with the same body the single-instance endpoint returns for a miss.
Requires the read_conversations, read_users_companies, read_write_custom_object_instances or read_write_users OAuth scope.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
- The production API serverhttps://api.intercom.io/custom_object_instances/{custom_object_type_identifier}
- The european API serverhttps://api.eu.intercom.io/custom_object_instances/{custom_object_type_identifier}
- The australian API serverhttps://api.au.intercom.io/custom_object_instances/{custom_object_type_identifier}
curl -i -X GET \
'https://api.intercom.io/custom_object_instances/Order?references_contact_id=string&references_conversation_id=string&external_id=string&page=0&per_page=150' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'successful
A paginated list of custom object instances.
The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.
Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.
An array of Custom Object Instance objects.
- Custom Object Instances
- Custom Object Instance
- Custom Object Instance Not Found
{ "type": "list", "pages": { "type": "pages", "page": 1, "per_page": 20, "total_pages": 1 }, "total_count": 2, "data": [ { … }, { … } ] }